Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.examination.persistence
Class ExaminationExporter.ExaminationOutputBuilder

    java.lang.Object
      org.optaplanner.examples.common.persistence.AbstractSolutionExporter.OutputBuilder
          org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
              org.optaplanner.examples.examination.persistence.ExaminationExporter.ExaminationOutputBuilder

Enclosing class:
  ExaminationExporter

    public class ExaminationExporter.ExaminationOutputBuilder

extends AbstractTxtSolutionExporter.TxtOutputBuilder

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
`bufferedWriter`

Constructor Summary
`ExaminationExporter.ExaminationOutputBuilder()`

Method Summary
`void` | `setSolution(Solution solution)`
`void` | `writeSolution()`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter.TxtOutputBuilder
`setBufferedWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExaminationExporter.ExaminationOutputBuilder

    public ExaminationExporter.ExaminationOutputBuilder()

Method Detail

### setSolution

    public void setSolution(Solution solution)

  Specified by:
    `setSolution` in class `AbstractTxtSolutionExporter.TxtOutputBuilder`

### writeSolution

    public void writeSolution()
                       throws IOException

  Specified by:
    `writeSolution` in class `AbstractTxtSolutionExporter.TxtOutputBuilder`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.